// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QPushButton>
#include <QtWidgets>

#include "mqttclient.h"
#include "zoneitem.h"
#include "backgroundloop.h"

#define NB_ZONES 4

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	explicit MainWindow(QWidget *parent = NULL);
	~MainWindow();

	MQTTSubcriber *mqttclient;
private:

	BackgroundLoop m_backLoop;
	ZoneItem *m_zones[NB_ZONES];

private slots:
	void temperature_slot(unsigned idx, double val);
	void hygro_slot(unsigned idx, double val);
};

#endif // MAINWINDOW_H

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */
