// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#include <QTranslator>
#include <QStringList>
#include <QString>

#include "settings.h"

Settings *Settings::_singleton = NULL;

Settings::Settings()
{
	m_rooms_names << QString(tr("Bedroom"));
	m_rooms_names << QString(tr("Workspace"));
	m_rooms_names << QString(tr("Living room"));
	m_rooms_names << QString(tr("Bathroom"));
	m_sensor_topics << QString::fromUtf8("sensors/chambre_so/xiaomi");
	m_sensor_topics << QString::fromUtf8("sensors/chambre_rico/xiaomi");
	m_sensor_topics << QString::fromUtf8("sensors/salon/xiaomi");
	m_sensor_topics << QString::fromUtf8("sensors/salle_de_bains/xiaomi");
	m_availability_topics << QString::fromUtf8("sensors/chambre_so/availability");
	m_availability_topics << QString::fromUtf8("sensors/chambre_rico/availability");
	m_availability_topics << QString::fromUtf8("sensors/salon/availability");
	m_availability_topics << QString::fromUtf8("sensors/salle_de_bains/availability");
}

Settings::~Settings()
{
}

Settings *Settings::getInstance(void)
{
	if (!_singleton) {
		_singleton =  new Settings;
	}

	return _singleton;
}

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */


